/*
 * printers.h
 *
 * Recording information about the printers (named outputs)
 * Copyright (c) 1988, 89, 90, 91, 92, 93 Miguel Santana
 * Copyright (c) 1995, 96, 97 Akim Demaille, Miguel Santana
 *
 */

/*
 * This file is part of a2ps.
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2, or (at your option)
 * any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; see the file COPYING.  If not, write to
 * the Free Software Foundation, 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 */

/*
 * $Id: printers.h,v 1.14 1997/10/31 18:05:50 demaille Exp $
 */
#ifndef _PRINTERS_H_
#define _PRINTERS_H_

struct a2ps_job;

/*
 * Printers
 */
struct pair_htable * new_printers_table PARAMS ((void));
void free_printers_table PARAMS ((struct pair_htable * table));
int add_printer PARAMS ((struct a2ps_job * job, 
			  const char * key, const char * value));
void list_printers_long PARAMS ((struct a2ps_job * job));
void list_printers_short PARAMS ((struct a2ps_job * job));

void a2ps_open_output_stream PARAMS ((struct a2ps_job * job));
void a2ps_close_output_stream PARAMS ((struct a2ps_job * job));

void file_into_stdout PARAMS ((const void * arg));


void destination_to_string PARAMS ((struct a2ps_job * job, 
				    uchar * buf));
void final_destination_to_string PARAMS ((struct a2ps_job * job,
					  uchar * buf));

#endif
